package com.pcloud.book.group.dao;

import com.pcloud.book.group.dto.JoinGroupCiperDTO;
import com.pcloud.book.group.entity.JoinGroupCipher;
import com.pcloud.common.core.dao.BaseDao;

public interface JoinGroupCipherDao extends BaseDao<JoinGroupCipher> {
    JoinGroupCipher getByWechatUserId(Long wechatUserId,Long classifyId);

    JoinGroupCipher getByCipher(String cipher);

    JoinGroupCiperDTO getDTOByCipher(String cipher);

    void updateCipherStateToUsed(String cipher, String wxId);
}
